# coding: utf-8

"""
    VMware Aria Automation Assembler / CMX Service API

    When using Kubernetes integration, deploy and manage Kubernetes clusters and namespaces. The APIs that list collections of resources also support OData like implementation. Below query params can be used across CMX entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/cmx/api/resources/tags?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/cmx/api/resources/tags?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/cmx/api/resources/tags?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /cmx/api/resources/tags?$filter=startswith(name, 'K8S')   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ResumeRequest(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'action_name': 'str',
        'id': 'str',
        'operation': 'str',
        'request_id': 'str',
        'resource_type': 'str'
    }

    attribute_map = {
        'action_name': 'actionName',
        'id': 'id',
        'operation': 'operation',
        'request_id': 'requestId',
        'resource_type': 'resourceType'
    }

    def __init__(self, action_name=None, id=None, operation=None, request_id=None, resource_type=None):  # noqa: E501
        """ResumeRequest - a model defined in Swagger"""  # noqa: E501
        self._action_name = None
        self._id = None
        self._operation = None
        self._request_id = None
        self._resource_type = None
        self.discriminator = None
        if action_name is not None:
            self.action_name = action_name
        if id is not None:
            self.id = id
        if operation is not None:
            self.operation = operation
        if request_id is not None:
            self.request_id = request_id
        if resource_type is not None:
            self.resource_type = resource_type

    @property
    def action_name(self):
        """Gets the action_name of this ResumeRequest.  # noqa: E501


        :return: The action_name of this ResumeRequest.  # noqa: E501
        :rtype: str
        """
        return self._action_name

    @action_name.setter
    def action_name(self, action_name):
        """Sets the action_name of this ResumeRequest.


        :param action_name: The action_name of this ResumeRequest.  # noqa: E501
        :type: str
        """

        self._action_name = action_name

    @property
    def id(self):
        """Gets the id of this ResumeRequest.  # noqa: E501


        :return: The id of this ResumeRequest.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this ResumeRequest.


        :param id: The id of this ResumeRequest.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def operation(self):
        """Gets the operation of this ResumeRequest.  # noqa: E501


        :return: The operation of this ResumeRequest.  # noqa: E501
        :rtype: str
        """
        return self._operation

    @operation.setter
    def operation(self, operation):
        """Sets the operation of this ResumeRequest.


        :param operation: The operation of this ResumeRequest.  # noqa: E501
        :type: str
        """

        self._operation = operation

    @property
    def request_id(self):
        """Gets the request_id of this ResumeRequest.  # noqa: E501


        :return: The request_id of this ResumeRequest.  # noqa: E501
        :rtype: str
        """
        return self._request_id

    @request_id.setter
    def request_id(self, request_id):
        """Sets the request_id of this ResumeRequest.


        :param request_id: The request_id of this ResumeRequest.  # noqa: E501
        :type: str
        """

        self._request_id = request_id

    @property
    def resource_type(self):
        """Gets the resource_type of this ResumeRequest.  # noqa: E501


        :return: The resource_type of this ResumeRequest.  # noqa: E501
        :rtype: str
        """
        return self._resource_type

    @resource_type.setter
    def resource_type(self, resource_type):
        """Sets the resource_type of this ResumeRequest.


        :param resource_type: The resource_type of this ResumeRequest.  # noqa: E501
        :type: str
        """

        self._resource_type = resource_type

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ResumeRequest, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ResumeRequest):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
